For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
      • GETGet user
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
WorkspaceUser

Get user

GET
/v1/user
GET
/v1/user
$curl https://api.elevenlabs.io/v1/user
1{
2 "user_id": "1234567890",
3 "subscription": {
4 "tier": "trial",
5 "character_count": 17231,
6 "character_limit": 100000,
7 "max_character_limit_extension": 10000,
8 "max_credit_limit_extension": 10000,
9 "can_extend_character_limit": false,
10 "allowed_to_extend_character_limit": false,
11 "voice_slots_used": 1,
12 "professional_voice_slots_used": 0,
13 "voice_limit": 120,
14 "voice_add_edit_counter": 212,
15 "professional_voice_limit": 1,
16 "can_extend_voice_limit": false,
17 "can_use_instant_voice_cloning": true,
18 "can_use_professional_voice_cloning": true,
19 "current_overage": {
20 "amount": "0",
21 "currency": "usd"
22 },
23 "status": "free",
24 "next_character_count_reset_unix": 1738356858,
25 "max_voice_add_edits": 230,
26 "currency": "usd",
27 "billing_period": "monthly_period",
28 "character_refresh_period": "monthly_period"
29 },
30 "is_onboarding_completed": true,
31 "is_onboarding_checklist_completed": true,
32 "created_at": 1753999199,
33 "seat_type": "workspace_member",
34 "is_new_user": false,
35 "can_use_delayed_payment_methods": false,
36 "xi_api_key": "8so27l7327189x0h939ekx293380l920",
37 "show_compliance_terms": false,
38 "first_name": "John",
39 "is_api_key_hashed": false
40}
Gets information about the user
Was this page helpful?
Previous

Get user subscription

Next
Built with

Headers

xi-api-keystringOptional

Response

Successful Response
user_idstring
The unique identifier of the user.
subscriptionobject
Details of the user's subscription.
is_onboarding_completedboolean
Whether the user's onboarding is completed.
is_onboarding_checklist_completedboolean
Whether the user's onboarding checklist is completed.
created_atinteger
The unix timestamp of the user's creation. 0 if the user was created before the unix timestamp was added.
seat_typeenum
The seat type of the user.
Allowed values:
is_new_userbooleanDeprecated

Whether the user is new. This field is deprecated and will be removed in the future. Use ‘created_at’ instead.

can_use_delayed_payment_methodsbooleanDeprecated

This field is deprecated and will be removed in a future major version. Instead use subscription.trust_on_invoice_creation.

xi_api_keystring or null
The API key of the user.
show_compliance_termsbooleanDefaults to false

Whether to show compliance terms (ToS, Privacy Policy, biometric consent) during onboarding. Set for users signing up from the marketing site.

first_namestring or null
First name of the user.
is_api_key_hashedbooleanDefaults to false
Whether the user's API key is hashed.
xi_api_key_previewstring or null
The preview of the user's API key.
referral_link_codestring or null
The referral link code of the user.
partnerstack_partner_default_linkstring or null
The Partnerstack partner default link of the user.

Errors

422
Unprocessable Entity Error